Unable to install on Voyage, based on Debian Wheezy


#1

Hi all.

I’ve got a problem with installing client on my tiny server based on Alix 3d2 motherboard (256 ram) and Voyade linux, based on Debian wheezy.

My apologise for the russian locale.

root@voyage:/data/tools/letsencrypt# ./letsencrypt-auto --help
Bootstrapping dependencies for Debian-based OSes...
В кэше http://mirror.yandex.ru wheezy Release.gpg
Получено:1 http://mirror.yandex.ru wheezy/updates Release.gpg [1 554 B]                         
В кэше http://mirror.yandex.ru wheezy Release                                                                                  
Получено:2 http://mirror.yandex.ru wheezy/updates Release [102 kB]                                                                     
В кэше http://nginx.org wheezy Release.gpg                                                                                             
В кэше http://mirror.yandex.ru wheezy/main Sources                                                                                     
В кэше http://mirror.yandex.ru wheezy/contrib Sources                                                                                  
В кэше http://mirror.yandex.ru wheezy/non-free Sources                                                                                 
В кэше http://mirror.yandex.ru wheezy/main i386 Packages                                                                               
В кэше http://nginx.org wheezy Release                                                                                                 
В кэше http://mirror.yandex.ru wheezy/contrib i386 Packages                                                                            
В кэше http://mirror.yandex.ru wheezy/non-free i386 Packages                                                                  
В кэше http://mirror.yandex.ru wheezy/contrib Translation-en                                                                  
В кэше http://mirror.yandex.ru wheezy/main Translation-ru                                                                              
В кэше http://mirror.yandex.ru wheezy/main Translation-en                                                                              
В кэше http://mirror.yandex.ru wheezy/non-free Translation-en                                                                          
Получено:3 http://mirror.yandex.ru wheezy/updates/main i386 Packages [325 kB]                                                          
В кэше http://nginx.org wheezy/nginx Sources                                                                                           
В кэше http://www.voyage.hk ./ Release.gpg                                                                                      
В кэше http://nginx.org wheezy/nginx i386 Packages                                           
Получено:4 http://mirror.yandex.ru wheezy/updates/contrib i386 Packages [14 B]                                                      
Получено:5 http://mirror.yandex.ru wheezy/updates/non-free i386 Packages [14 B]                       
В кэше http://www.voyage.hk ./ Release                                                                
Получено:6 http://mirror.yandex.ru wheezy/updates/contrib Translation-en [523 B]                                                       
Получено:7 http://mirror.yandex.ru wheezy/updates/main Translation-en [184 kB]                                                         
В кэше http://www.voyage.hk ./ Packages                                                                                                
Получено:8 http://mirror.yandex.ru wheezy/updates/non-free Translation-en [14 B]                                                       
Игн http://nginx.org wheezy/nginx Translation-ru_RU                                                                                    
Игн http://nginx.org wheezy/nginx Translation-ru                                                                             
Игн http://nginx.org wheezy/nginx Translation-en                                     
Игн http://www.voyage.hk ./ Translation-ru_RU                                                                                          
Игн http://www.voyage.hk ./ Translation-ru                                                                                             
Игн http://www.voyage.hk ./ Translation-en                                                                                             
Получено 613 kБ за 1мин 2с (9 834 Б/c)                                                                                                 
Чтение списков пакетов… Готово
E: Не найдено ни одного пакета
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Уже установлена самая новая версия dialog.
Уже установлена самая новая версия gcc.
gcc установлен вручную.
Уже установлена самая новая версия git.
Уже установлена самая новая версия python.
Уже установлена самая новая версия ca-certificates.
ca-certificates установлен вручную.
Будут установлены следующие дополнительные пакеты:
  augeas-lenses libexpat1 libexpat1-dev libpython2.7 libssl1.0.0 python2.7-dev
Предлагаемые пакеты:
  augeas-doc augeas-tools
Рекомендуемые пакеты:
  libssl-doc
НОВЫЕ пакеты, которые будут установлены:
  augeas-lenses libaugeas0 libexpat1-dev libffi-dev libpython2.7 python-dev python-virtualenv python2.7-dev
Пакеты, которые будут обновлены:
  libexpat1 libssl-dev libssl1.0.0
обновлено 3, установлено 8 новых пакетов, для удаления отмечено 0 пакетов, и 77 пакетов не обновлено.
Необходимо скачать 31,2 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 36,5 MB.
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
  libssl-dev libssl1.0.0 libexpat1 augeas-lenses libaugeas0 libexpat1-dev libffi-dev libpython2.7 python2.7-dev python-dev
  python-virtualenv
Предупреждение об аутентификации не принято в внимание.
Получено:1 http://mirror.yandex.ru/debian/ wheezy/main libssl-dev i386 1.0.1e-2+deb7u17 [1 595 kB]
Получено:2 http://mirror.yandex.ru/debian/ wheezy/main libssl1.0.0 i386 1.0.1e-2+deb7u17 [3 044 kB]
Получено:3 http://mirror.yandex.ru/debian/ wheezy/main libexpat1 i386 2.1.0-1+deb7u2 [139 kB]                                          
Получено:4 http://mirror.yandex.ru/debian/ wheezy/main augeas-lenses all 0.10.0-1 [195 kB]                                             
Получено:5 http://mirror.yandex.ru/debian/ wheezy/main libaugeas0 i386 0.10.0-1 [179 kB]                                               
Получено:6 http://mirror.yandex.ru/debian/ wheezy/main libexpat1-dev i386 2.1.0-1+deb7u2 [214 kB]                                      
Получено:7 http://mirror.yandex.ru/debian/ wheezy/main libffi-dev i386 3.0.10-3 [109 kB]                                               
Получено:8 http://mirror.yandex.ru/debian/ wheezy/main libpython2.7 i386 2.7.3-6+deb7u2 [1 166 kB]                                     
Получено:9 http://mirror.yandex.ru/debian/ wheezy/main python2.7-dev i386 2.7.3-6+deb7u2 [22,5 MB]                                     
Получено:10 http://mirror.yandex.ru/debian/ wheezy/main python-dev all 2.7.3-4+deb7u1 [920 B]                                          
Получено:11 http://mirror.yandex.ru/debian/ wheezy/main python-virtualenv all 1.7.1.2-2 [2 121 kB]                                     
Получено 31,2 MБ за 1мин 16с (409 kБ/c)                                                                                                
Preconfiguring packages ...
(Чтение базы данных … на данный момент установлен 37891 файл и каталог.)
Подготовка к замене пакета libssl-dev 1.0.1e-2+deb7u16 (используется файл …/libssl-dev_1.0.1e-2+deb7u17_i386.deb) …
Распаковывается замена для пакета libssl-dev …
Подготовка к замене пакета libssl1.0.0:i386 1.0.1e-2+deb7u16 (используется файл …/libssl1.0.0_1.0.1e-2+deb7u17_i386.deb) …
Распаковывается замена для пакета libssl1.0.0:i386 …
Подготовка к замене пакета libexpat1:i386 2.1.0-1+deb7u1 (используется файл …/libexpat1_2.1.0-1+deb7u2_i386.deb) …
Распаковывается замена для пакета libexpat1:i386 …
Выбор ранее не выбранного пакета augeas-lenses.
Распаковывается пакет augeas-lenses (из файла …/augeas-lenses_0.10.0-1_all.deb) …
Выбор ранее не выбранного пакета libaugeas0.
Распаковывается пакет libaugeas0 (из файла …/libaugeas0_0.10.0-1_i386.deb) …
Выбор ранее не выбранного пакета libexpat1-dev.
Распаковывается пакет libexpat1-dev (из файла …/libexpat1-dev_2.1.0-1+deb7u2_i386.deb) …
Выбор ранее не выбранного пакета libffi-dev:i386.
Распаковывается пакет libffi-dev:i386 (из файла …/libffi-dev_3.0.10-3_i386.deb) …
Выбор ранее не выбранного пакета libpython2.7.
Распаковывается пакет libpython2.7 (из файла …/libpython2.7_2.7.3-6+deb7u2_i386.deb) …
Выбор ранее не выбранного пакета python2.7-dev.
Распаковывается пакет python2.7-dev (из файла …/python2.7-dev_2.7.3-6+deb7u2_i386.deb) …
Выбор ранее не выбранного пакета python-dev.
Распаковывается пакет python-dev (из файла …/python-dev_2.7.3-4+deb7u1_all.deb) …
Выбор ранее не выбранного пакета python-virtualenv.
Распаковывается пакет python-virtualenv (из файла …/python-virtualenv_1.7.1.2-2_all.deb) …
Обрабатываются триггеры для man-db …
Обрабатываются триггеры для install-info …
Настраивается пакет libssl1.0.0:i386 (1.0.1e-2+deb7u17) …
Настраивается пакет libssl-dev (1.0.1e-2+deb7u17) …
Настраивается пакет libexpat1:i386 (2.1.0-1+deb7u2) …
Настраивается пакет augeas-lenses (0.10.0-1) …
Настраивается пакет libaugeas0 (0.10.0-1) …
Настраивается пакет libexpat1-dev (2.1.0-1+deb7u2) …
Настраивается пакет libffi-dev:i386 (3.0.10-3) …
Настраивается пакет libpython2.7 (2.7.3-6+deb7u2) …
Настраивается пакет python2.7-dev (2.7.3-6+deb7u2) …
Настраивается пакет python-dev (2.7.3-4+deb7u1) …
Настраивается пакет python-virtualenv (1.7.1.2-2) …
Creating virtual environment...
Updating letsencrypt and virtual environment dependencies...../root/.local/share/letsencrypt/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
./root/.local/share/letsencrypt/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
Command "/root/.local/share/letsencrypt/bin/python2.7 -c "import setuptools, tokenize;__file__='/tmp/pip-build-_918_6/cryptography/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-CRb7xK-record/install-record.txt --single-version-externally-managed --compile --install-headers /root/.local/share/letsencrypt/include/site/python2.7/cryptography" failed with error code 1 in /tmp/pip-build-_918_6/cryptography

Can it be connected with InsecurePlatformWarning?

util/ssl_.py:90: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. For more information, see https://urllib3.readthedocs.org/en/latest/security.html#insecureplatformwarning.

Best regards,
Vladimir


#2

You are probably using python which has been compiled without ssl support. open a python shell and try “import ssl” if it gives an error along the lines of “ImportError: No module named _ssl” then that’s your issue. and worth re-installing / updating the python.


#3

Hi,
thank you fro the answer.

I tried “import python” it works.

$ ls -l /usr/bin/python
lrwxrwxrwx 1 root root 9 Сен 29 2013 /usr/bin/python -> python2.7

$ python2.7
Python 2.7.3 (default, Mar 14 2014, 11:57:14) 
[GCC 4.7.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import ssl
>>>